AbstractMVCGroupManager (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractMVCGroupManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractMVCGroupManager

All Implemented Interfaces:
  MVCGroupManager

    public abstract class AbstractMVCGroupManager
    extends Object

Base implementation of the `MVCGroupManager` interface.

Authors:
  Andres Almiray

Since:
  0.9.4

Field Summary
`private static org.slf4j.Logger` | `LOG`
`private GriffonApplication` | `app`
`private Map` | `configurations`
`private Map` | `groups`
`private boolean` | `initialized`
`private Object` | `lock`

Constructor Summary
`AbstractMVCGroupManager(GriffonApplication app)`

Method Summary
`void` | `addConfiguration(MVCGroupConfiguration configuration)`
`protected void` | `addGroup(MVCGroup group)`
`MVCGroup` | `buildMVCGroup(String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, Map args)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName, Map args)`
`protected MVCGroup` | `buildMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args)`
`MVCGroupConfiguration` | `cloneMVCGroupConfiguration(String mvcType, Map config)`
`List` | `createMVCGroup(String mvcType)`
`List` | `createMVCGroup(Map args, String mvcType)`
`List` | `createMVCGroup(String mvcType, Map args)`
`List` | `createMVCGroup(String mvcType, String mvcName)`
`List` | `createMVCGroup(Map args, String mvcType, String mvcName)`
`List` | `createMVCGroup(String mvcType, String mvcName, Map args)`
`protected List` | `createMVCGroup(MVCGroupConfiguration configuration, String mvcName, Map args)`
`protected void` | `doInitialize(Map configurations)`
`MVCGroupConfiguration` | `findConfiguration(String mvcType)`
`MVCGroup` | `findGroup(String mvcId)`
`GriffonApplication` | `getApp()`
`MVCGroup` | `getAt(String mvcId)`
`Map` | `getBuilders()`
`Map` | `getConfigurations()`
`Map` | `getControllers()`
`Map` | `getGroups()`
`Map` | `getModels()`
`Map` | `getViews()`
`void` | `initialize(Map configurations)`
`protected void` | `removeGroup(MVCGroup group)`
`void` | `withMVCGroup(String mvcType, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, Map args, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)`
`void` | `withMVCGroup(String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, Map args, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)`
`protected void` | `withMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args, Closure handler)`
`protected void` | `withMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args, MVCClosure handler)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

### app

    private final GriffonApplication app

### configurations

    private final Map configurations

### groups

    private final Map groups

### initialized

    private boolean initialized

### lock

    private final Object lock

Constructor Detail

### AbstractMVCGroupManager

    public AbstractMVCGroupManager(GriffonApplication app)

Method Detail

### addConfiguration

    public void addConfiguration(MVCGroupConfiguration configuration)

### addGroup

    protected void addGroup(MVCGroup group)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, Map args)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName, Map args)

### buildMVCGroup

    protected MVCGroup buildMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args)

### cloneMVCGroupConfiguration

    public MVCGroupConfiguration cloneMVCGroupConfiguration(String mvcType, Map config)

### createMVCGroup

    public List createMVCGroup(String mvcType)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType)

### createMVCGroup

    public List createMVCGroup(String mvcType, Map args)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName, Map args)

### createMVCGroup

    protected List createMVCGroup(MVCGroupConfiguration configuration, String mvcName, Map args)

### doInitialize

    protected void doInitialize(Map configurations)

### findConfiguration

    public MVCGroupConfiguration findConfiguration(String mvcType)

### findGroup

    public MVCGroup findGroup(String mvcId)

### getApp

    public GriffonApplication getApp()

### getAt

    public MVCGroup getAt(String mvcId)

### getBuilders

    public final Map getBuilders()

### getConfigurations

    public Map getConfigurations()

### getControllers

    public final Map getControllers()

### getGroups

    public Map getGroups()

### getModels

    public final Map getModels()

### getViews

    public final Map getViews()

### initialize

    public final void initialize(Map configurations)

### removeGroup

    protected void removeGroup(MVCGroup group)

### withMVCGroup

    public void withMVCGroup(String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)

### withMVCGroup

    protected void withMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args, Closure handler)

### withMVCGroup

    protected void withMVCGroup(MVCGroupConfiguration configuration, String mvcId, Map args, MVCClosure handler)

Groovy Documentation